Hello,

I recently did a distribution upgrade using APT on my system, and since then I am getting libgdk errors when attempting to run many programs such as GAIM and Firefox. Here is the output that I'm getting from it:

x_theory@linux:~> gaim
gaim: error while loading shared libraries: /opt/gnome/lib/libgdk-x11-2.0.so.0: undefined symbol: g_get_application_name

x_theory@linux:~> firefox
/opt/MozillaFirefox/lib/firefox-bin: error while loading shared libraries: /opt/gnome/lib/libgdk-x11-2.0.so.0: undefined symbol: g_get_application_name

I googled around attempting to find an answer to this, but with no success.

Here is what I get when I run: rpm -q atk glib2 gtk2 pango

x_theory@linux:~> rpm -q atk glib2 gtk2 pango
atk-1.8.0-100.SuSE.ulb.1
glib2-2.4.6-100.SuSE.ulb.1
gtk2-2.4.10-100.SuSE.ulb.1
pango-1.6.0-100.SuSE.ulb.1

Any idea how I can fix this? I am running KDE 3.3.0 on SuSe 9.1 Personal. Thank you!